%define major		5
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	JSON implementation in C
Name:		json-c
Version:	0.18
Release:	%mkrel 2
Group:		System/Libraries
License:	MIT
URL:		https://github.com/json-c/json-c
Source0:	https://s3.amazonaws.com/json-c_releases/releases/%{name}-%{version}.tar.gz
Patch0:		json-c-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	hardlink
BuildRequires:	ninja-build

%description
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%package -n %{libname}
Summary:	JSON implementation in C
Group:		System/Libraries

%description -n %{libname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%package -n %{develname}
Summary:	Development headers and libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	libjson-c-devel = %{version}-%{release}

%description -n %{develname}
JSON-C implements a reference counting object model that allows you to
easily construct JSON objects in C, output them as JSON formatted
strings and parse JSON formatted strings back into the C
representation of JSON objects.

%prep
%autosetup -p1

# Remove pre-built html documentation.
rm -fr doc/html

# Update Doxyfile.
doxygen -s -u doc/Doxyfile.in

%build
%cmake \
  -DBUILD_STATIC_LIBS:BOOL=OFF       \
  -DCMAKE_BUILD_TYPE:STRING=RELEASE  \
  -DCMAKE_C_FLAGS_RELEASE:STRING=""  \
  -DDISABLE_BSYMBOLIC:BOOL=OFF       \
  -DDISABLE_WERROR:BOOL=ON           \
  -DENABLE_RDRAND:BOOL=ON            \
  -DENABLE_THREADING:BOOL=ON         \
  -G Ninja
%cmake_build --target all doc

%install
%cmake_install

%files -n %{libname}
%license COPYING
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README README.*
%doc build/doc/html
%{_libdir}/*.so
%{_includedir}/json-c/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/cmake/%{name}/


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 0.18-2.mga10
+ Revision: 2254334
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Tue Sep 24 2024 daviddavid <daviddavid> 0.18-1.mga10
+ Revision: 2100934
- new version: 0.18

* Fri Apr 05 2024 wally <wally> 0.17-2.mga10
+ Revision: 2054629
- basesystem rebuild for i686

* Thu Sep 14 2023 daviddavid <daviddavid> 0.17-1.mga10
+ Revision: 1986776
- new version: 0.17

* Tue Dec 13 2022 daviddavid <daviddavid> 0.16-1.mga9
+ Revision: 1921745
- new version: 0.16

* Tue Mar 29 2022 umeabot <umeabot> 0.15-2.mga9
+ Revision: 1833523
- Mageia 9 Mass Rebuild

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.15-1.mga8
+ Revision: 1647373
- 0.15
- library major is now 5
- remove upstreamed patches
- switch to cmake/ninja build system

* Mon May 25 2020 mrambo3501 <mrambo3501> 0.13.1-5.mga8
+ Revision: 1587640
- add upstream patch to fix regression introduced by the CVE-2020-12762-3 patch

* Mon May 18 2020 mrambo3501 <mrambo3501> 0.13.1-4.mga8
+ Revision: 1586002
- add ubuntu patches which fix CVE-2020-12762 mga#26623

* Thu Feb 13 2020 umeabot <umeabot> 0.13.1-3.mga8
+ Revision: 1513687
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.13.1-2.mga7
+ Revision: 1298397
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 0.13.1-1.mga7
+ Revision: 1245355
- new version: 0.13.1
- now libmajor is 4
- backports some upstream patches

* Wed Jul 25 2018 daviddavid <daviddavid> 0.12.1-3.mga7
+ Revision: 1245181
- fix devel and lib pkgs name (should be libjson-c not libjson)

* Tue Oct 03 2017 cjw <cjw> 0.12.1-2.mga7
+ Revision: 1167933
- fix build with gcc 7

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.12.1-1.mga6
+ Revision: 1045506
- 0.12.1

* Wed Feb 03 2016 umeabot <umeabot> 0.12-4.mga6
+ Revision: 933835
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.12-3.mga5
+ Revision: 744487
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.12-2.mga5
+ Revision: 680871
- Mageia 5 Mass Rebuild

* Sat Apr 26 2014 luigiwalser <luigiwalser> 0.12-1.mga5
+ Revision: 618297
- 0.12
- remove upstreamed CVE patch
- add patch to remove unused variable in json_tokenizer.c

* Wed Apr 09 2014 luigiwalser <luigiwalser> 0.11-4.mga5
+ Revision: 613095
- add upstream patch to fix CVE-2013-6370 and CVE-2013-6371

* Sat Oct 19 2013 umeabot <umeabot> 0.11-3.mga4
+ Revision: 534255
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 0.11-2.mga4
+ Revision: 477052
- cleanup spec

* Tue Jun 04 2013 colin <colin> 0.11-1.mga4
+ Revision: 437141
- Replace with final 0.11 upstream tarball (previously git snapshot)
- Drop an apprently no longer needed automake patch

* Sat Jan 12 2013 umeabot <umeabot> 0.11-0.3.mga3
+ Revision: 355616
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.11-0.2.mga3
+ Revision: 340568
- fix for automake 1.13

* Thu Dec 20 2012 oden <oden> 0.11-0.1.mga3
+ Revision: 333342
- 0.11 (git snap)

* Sun May 15 2011 colin <colin> 0.9-1.mga1
+ Revision: 98910
- imported package json-c

